View Issue Details

IDProjectCategoryView StatusLast Update
0015356LazarusLCLpublic2010-01-04 11:06
ReporterKim PedersenAssigned ToMarc Weustink 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.3 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0015356: TGtkListStoreStringList.Add returns wrong index when sorted
DescriptionTGtkListStoreStringList.Add does not return correct index when the list is sorted. It always returns the index of the last element (Which is true for an unsorted list). It affects AddObject and results in the object put in the wrong position.
Additional InformationFLastInsertedIndex should be implemented as in TWin32ListStringList.Add/Insert
TagsNo tags attached.
Fixed in Revision23347
LazTarget1.0
WidgetsetGTK 2
Attached Files

Relationships

related to 0011942 closedMarc Weustink sorted Tstrings with objects 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-12-16 12:00 Kim Pedersen New Issue
2009-12-16 12:00 Kim Pedersen Widgetset => GTK 2
2009-12-17 14:19 Vincent Snijders Relationship added related to 0011942
2009-12-17 14:19 Vincent Snijders LazTarget => 1.0
2009-12-17 14:19 Vincent Snijders Status new => acknowledged
2009-12-17 14:19 Vincent Snijders Target Version => 1.0.0
2010-01-02 20:08 Marc Weustink Fixed in Revision => 23347
2010-01-02 20:08 Marc Weustink Status acknowledged => resolved
2010-01-02 20:08 Marc Weustink Fixed in Version => 0.9.29 (SVN)
2010-01-02 20:08 Marc Weustink Resolution open => fixed
2010-01-02 20:08 Marc Weustink Assigned To => Marc Weustink
2010-01-04 11:06 Kim Pedersen Status resolved => closed